{{page-title (capitalize (t "new language"))}}

{{#if this.model}}
  <Manage::Container @title={{capitalize (t "new language")}}>
    <:content>

      <Manage::RowAdd @name="name">
        {{!-- template-lint-disable require-input-label --}}
        <Input @value={{this.model.name}} class="form-control" placeholder={{t "What is the language name?"}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="locale">
        {{!-- template-lint-disable require-input-label --}}
        <Input @value={{this.model.locale}} class="form-control" placeholder={{t "What is language locale?"}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="file">
        <Input::File @onBaseUrlContentChange={{this.parseFile}} />
      </Manage::RowAdd>

      <Manage::Row @name="submit">
        <button type="button" class="btn btn-primary btn-submit {{if (or @model.isSaving this.isInvalid) 'disabled'}}" {{on "click" this.save}} disabled={{or @model.isSaving this.isInvalid}}>

          {{#if @model.isSaving}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          <span class="capitalize-first-letter">
            {{t "add"}}
          </span>
        </button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{/if}}